Loading...
Searching...
No Matches
casacore::python::casa_string_from_python_str Struct Reference

Convert a String object from python. More...

`#include <PycBasicData.h>`

## Public Member Functions

| casa_string_from_python_str ()

## Static Public Member Functions

static void * | convertible (PyObject *obj_ptr)
static void | construct (PyObject *obj_ptr, boost::python::converter::rvalue_from_python_stage1_data *data)

## Detailed Description

Convert a String object from python.

Definition at line 76 of file PycBasicData.h.

## Constructor & Destructor Documentation

## casa_string_from_python_str()

casacore::python::casa_string_from_python_str::casa_string_from_python_str | ( |  | ) |

inline

Definition at line 78 of file PycBasicData.h.

References construct(), and convertible().

## Member Function Documentation

## construct()

void casacore::python::casa_string_from_python_str::construct | ( | PyObject * | obj_ptr,
|  | boost::python::converter::rvalue_from_python_stage1_data * | data )

inline static

Take over lifetime management of temp_bytes

Definition at line 96 of file PycBasicData.h.

References casacore::NewDelAllocator< T >::value, and casacore::storage().

Referenced by casa_string_from_python_str().

## convertible()

void * casacore::python::casa_string_from_python_str::convertible | ( | PyObject * | obj_ptr | ) |

inline static

Definition at line 86 of file PycBasicData.h.

Referenced by casa_string_from_python_str().

The documentation for this struct was generated from the following file:

- python/Converters/PycBasicData.h